package com.loafle.overflow.commons.service;

import com.loafle.overflow.module.domain.model.Domain;

public interface MessagePublisher {
    void publishToDomainMembers(final long domainID, final String method, final Object... params);
    void publishToDomainMembersByProbeKey(final String probeKey, final String method, final Object... params);

    void publishToMember(final String memberID, final String method, final Object... params);
    void publishToMemberSession(final String memberSessionID, final String method, final Object... params);

    void publishToNoAuthProbe(final String tempProbeKey, final String method, final Object... params);
    void publishToProbe(final String probeKey, final String method, final Object... params);
}
